/*
 * $Source: /usr/local/cvsroot/erserver/erserver/java/src/com/postgres/replic/server/RservThread.java,v $
 * $Author: asullivan $ $Revision: 1.1.1.1 $ $Date: 2003/08/26 19:02:22 $
 *
 */

package com.postgres.replic.server;

import com.postgres.util.Logger.*;

public class RservThread extends Thread {
    private AbstractReplicationRunnable runnuble;

    public RservThread(AbstractReplicationRunnable runnuble) {
        this.runnuble = runnuble;
    }

    public void run() {
         try {
              runnuble.run();
         } catch (Exception e) {
              getLogger().info("RservThread::run: runnuble.destroy(); Exception="+e.toString());
              runnuble.destroy();
         } finally {
         
         }

    }

    protected Logger getLogger() {
         return LogRepl.getInstance();
    }
}
